@if (data(); as data) {
  <div [ngClass]="['list-dataset', jds.card, jds.mb(20)]">
    <div [ngClass]="[jds.cardHeader, jds.py(15)]">
      <div
        [ngClass]="[
          jds.d('flex'),
          jds.alignItems('start'),
          jds.justifyContent('between'),
          jds.mb(10)
        ]"
      >
        <a
          [style.fontFamily]="'Roboto'"
          [ngClass]="[jds.fw('bold')]"
          [routerLink]="['/dataset/detail', data.id]"
        >
          {{ data.name }}
        </a>

        <div [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.ms(26)]">
          <span
            [colorScheme]="data.getClassification().bgColor"
            jdsBiBadge
          >
            {{ data.dataset_class.name }}
          </span>

          <!-- Dropdown Dataset Action -->
          @if (
            isAction() &&
            (satudataUser.role_name === 'walidata' ||
              satudataUser.role_name === 'opd')
          ) {
            <jds-bi-hosted-dropdown
              [(open)]="isDropdown"
              [jdsBiDropdownLimitWidth]="'auto'"
              [jdsBiDropdownAlign]="'right'"
              [content]="dropdown"
            >
              <button
                [ngClass]="[jds.py(7), jds.ms(10)]"
                type="button"
                jdsBiButton
                size="sm"
                colorScheme="gray"
                isIconOnly="true"
                variant="outline"
              >
                <jds-bi-icon
                  [size]="12"
                  name="ellipsis"
                />
              </button>
            </jds-bi-hosted-dropdown>

            <ng-template #dropdown>
              <app-dropdown-dataset-action
                [datasetID]="data.id"
                [datasetLastCategory]="data.history_draft.category_before"
                [status]="status()"
                (delete)="onDelete($event)"
                (archive)="onArchive($event)"
                (active)="onActive($event)"
                (active)="onActive($event)"
                (recover)="onRecover($event)"
                (discontinue)="onDiscontinue($event)"
              />
            </ng-template>
          }
        </div>
      </div>

      <div>
        <div [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.mb(8)]">
          <!-- Dimensi Dataset -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Dimensi Dataset"
          >
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="calendar"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ data.getDimension() }}
              </span>
            </div>
          </div>

          <!-- Status Dataset -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Status Dataset"
          >
            @if (data.is_discontinue === 3) {
              <span
                [colorScheme]="'red'"
                jdsBiBadge
                variant="subtle"
              >
                Diskontinu
              </span>
            } @else {
              <span
                [colorScheme]="data.getStatus().color"
                [ngClass]="[jds.rounded('pill')]"
                jdsBiBadge
                variant="subtle"
              >
                <jds-bi-icon
                  [name]="data.getStatus().icon"
                  [ngClass]="[jds.me(4)]"
                />
                <span>
                  {{ data.getStatus().name }}
                </span>
              </span>
            }
          </div>

          <!-- Topik -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Topik"
          >
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="book"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ data.sektoral.name }}
              </span>
            </div>
          </div>

          <!-- Dataset Diperbarui -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Dataset Diperbarui"
          >
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="clock-three"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="0.5"
                [style.lineHeight.px]="23"
              >
                {{ moment(data.mdate).locale('id').format('DD MMMM YYYY') }}
              </span>
            </div>
          </div>
        </div>

        <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
          <!-- Organisasi -->
          <div
            [ngClass]="[jds.me(16)]"
            [popperPlacement]="'top'"
            [popperTrigger]="'hover'"
            popper="Organisasi"
          >
            <a [routerLink]="['/organization', data.skpd.id]">
              <div
                [ngClass]="[jds.d('flex')]"
                [style.verticalAlign]="'middle'"
              >
                <jds-bi-icon
                  [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                  name="building"
                />
                <span
                  [ngClass]="[jds.fs(14)]"
                  [style.position]="'relative'"
                  [style.top.px]="0.5"
                  [style.lineHeight.px]="23"
                >
                  {{ data.skpd.nama_skpd }}
                </span>
              </div>
            </a>
          </div>

          <!-- Kualitas Data -->
          @if (data.category === 'Data Agregat') {
            <div
              [ngClass]="[jds.me(16)]"
              [popperPlacement]="'top'"
              [popperTrigger]="'hover'"
              popper="Kualitas Data"
            >
              @if (data.quality_score_point !== 0) {
                <span
                  [ngClass]="[
                    jds.alignItems('center'),
                    jds.text(data.getQualityScoreColor())
                  ]"
                  [style.borderColor]="data.getQualityScoreColor()"
                  jdsBiBadge
                  variant="outline"
                >
                  <svg
                    [ngClass]="[jds.me(8)]"
                    width="10"
                    height="10"
                    viewBox="0 0 10 10"
                    xmlns="http://www.w3.org/2000/svg"
                    fill="currentColor"
                  >
                    <rect
                      width="10"
                      height="10"
                      rx="2"
                    />
                  </svg>
                  {{ data.quality_score_label }}
                </span>
              }
            </div>
          }
        </div>
      </div>
    </div>

    <div [ngClass]="[jds.cardBody, jds.py(15), jds.px(24)]">
      <p
        [ngClass]="[jds.mb(21), jds.fs(14)]"
        [ngStyle]="{
          lineHeight: '22px',
          overflow: 'hidden',
          textOverflow: 'ellipsis',
          display: '-webkit-box',
          '-webkit-line-clamp': '2',
          '-webkit-box-orient': 'vertical'
        }"
      >
        {{ data.description | removeHtmlTag }}
      </p>

      <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
        <!-- Jumlah Dilihat -->
        <div
          [ngClass]="[jds.me(18)]"
          [popperPlacement]="'top'"
          [popperTrigger]="'hover'"
          popper="Jumlah Dilihat"
        >
          <div
            [ngClass]="[jds.d('flex')]"
            [style.verticalAlign]="'middle'"
          >
            <jds-bi-icon
              [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
              name="eye"
            />
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="0.5"
              [style.lineHeight.px]="23"
            >
              {{ data.count_view_private | number: '1.0-0' : 'id' }}
            </span>
          </div>
        </div>

        <!-- Jumlah Diunduh -->
        <div
          [ngClass]="[jds.me(16)]"
          [popperPlacement]="'top'"
          [popperTrigger]="'hover'"
          popper="Jumlah Diunduh"
        >
          <div
            [ngClass]="[jds.d('flex')]"
            [style.verticalAlign]="'middle'"
          >
            <jds-bi-icon
              [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
              name="circle-down"
            />
            <span
              [ngClass]="[jds.fs(14)]"
              [style.position]="'relative'"
              [style.top.px]="0.5"
              [style.lineHeight.px]="23"
            >
              {{ data.count_access_private | number: '1.0-0' : 'id' }}
            </span>
          </div>
        </div>

        <div
          [ngClass]="[jds.me(16)]"
          [style.flexGrow]="1"
        >
          <app-filter-dataset-tags-inline
            [data]="data.dataset_tags || []"
            [filter]="filterTag()"
            (filterChange)="onFilterTags($event)"
          />
        </div>
      </div>
    </div>
  </div>
}
